;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:scontour (super contour)
;
; PURPOSE: meme chose que contour mais compatible avec l''ensemble de
; l'environnement (common.pro est inclu)
;
; CATEGORY:dessine
;
; CALLING SEQUENCE: scontour, z [, x, y]
; 
; INPUTS:cd IDL>?contour
;
; KEYWORD PARAMETERS:
;
;  meme que ceux de bar_plot avec en plus:
;      NOREINITPLT: a actier si on ne veut pas que les variables
;      d''environnemet !p, !x, !y, !z soient reinitialisees par la
;      procedure reinitplt
;
; OUTPUTS:
;
; COMMON BLOCKS:common.pro
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; EXAMPLE:
;      IDL> z = dist(100) 
;      IDL> scontour, z, nlevels=10,petit=[1,2,1],xstyle=1,ystyle=1
;      IDL> @ps
;
; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
;                      10/10/1999
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
PRO scontour, x, y, z, NOREINITPLT = noreinitplt, _EXTRA = ex
@common
; 1) je reinitialise l''environnememt graphique (les variables !x, !y et !p): 
   if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex 
; 2) je place le dessin a l'ecran comme sur le postcript 
   IF chkstru(ex, 'overplot')EQ 0 THEN placedessin, 'autre', _extra = ex
; 3) je fais mon joli dessin 
   case n_params() OF
      1:contour, x, _EXTRA = ex
      2:contour, x, y, _EXTRA = ex
      3:contour, x, y, z, _EXTRA = ex

   endcase
   
; 4) je termine le dessin 
   terminedessin, _extra=ex 

   return
end
